Bug 997626 - SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'execmod' accesses on the file /opt/google/talkplugin/libnpo1d.so.
SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'execmod' a...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:11ec57ba4a171c5e89c07be7ef6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 15:45 EDT by qualityservicesrus
Modified: 2013-08-20 03:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 14:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description qualityservicesrus 2013-08-15 15:45:59 EDT
Description of problem:
SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'execmod' accesses on the file /opt/google/talkplugin/libnpo1d.so.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that plugin-config should be allowed execmod access on the libnpo1d.so file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
                              s0-s0:c0.c1023
Target Context                system_u:object_r:bin_t:s0
Target Objects                /opt/google/talkplugin/libnpo1d.so [ file ]
Source                        plugin-config
Source Path                   /usr/lib/nspluginwrapper/plugin-config
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.4.4-17.fc19.i686
Target RPM Packages           google-talkplugin-4.2.1.0-1.i386
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.6-200.fc19.i686 #1 SMP Mon
                              Aug 12 15:26:21 UTC 2013 i686 i686
Alert Count                   6
First Seen                    2013-08-15 10:02:02 EDT
Last Seen                     2013-08-15 12:05:40 EDT
Local ID                      39696545-7c5f-48c0-9059-d8e2c7d3abc9

Raw Audit Messages
type=AVC msg=audit(1376582740.819:448): avc:  denied  { execmod } for  pid=4889 comm="plugin-config" path="/opt/google/talkplugin/libnpo1d.so" dev="dm-1" ino=1180691 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=file


type=SYSCALL msg=audit(1376582740.819:448): arch=i386 syscall=mprotect success=no exit=EACCES a0=b76eb000 a1=33000 a2=5 a3=bf87ff20 items=0 ppid=4877 pid=4889 auid=1000 uid=99 gid=99 euid=99 suid=99 fsuid=99 egid=99 sgid=99 fsgid=99 ses=1 tty=(none) comm=plugin-config exe=/usr/lib/nspluginwrapper/plugin-config subj=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-config,mozilla_plugin_config_t,bin_t,file,execmod

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.i686
type:           libreport

Potential duplicate: bug 974775
Comment 1 Daniel Walsh 2013-08-16 14:14:03 EDT
THis is a badly built library from google.  If you run restorecon on it, will that fix the problem

restorecon -v /opt/google/talkplugin/libnpo1d.so
Comment 2 qualityservicesrus 2013-08-16 20:58:46 EDT
(In reply to Daniel Walsh from comment #1)
> THis is a badly built library from google.  If you run restorecon on it,
> will that fix the problem
> 
> restorecon -v /opt/google/talkplugin/libnpo1d.so

Yes that seem to have done the trick.  I log out then sign into gmail and everything went smoothly. Thanks for this permanent solution to this bug.
Comment 3 qualityservicesrus 2013-08-17 08:11:52 EDT
(In reply to qualityservicesrus from comment #2)
> (In reply to Daniel Walsh from comment #1)
> > THis is a badly built library from google.  If you run restorecon on it,
> > will that fix the problem
> > 
> > restorecon -v /opt/google/talkplugin/libnpo1d.so
> 
> Yes that seem to have done the trick.  I log out then sign into gmail and
> everything went smoothly. Thanks for this permanent solution to this bug.

Good morning. I sorry to say that the bug still goes on. After powering off the computer then turning it on this morning the bug came back.  Thanks again for your help.
Comment 4 Miroslav Grepl 2013-08-20 03:46:34 EDT
And are you getting the same issue?

Note You need to log in before you can comment on or make changes to this bug.